Home | Tutorials | Wiki | Issues
Ask Your Question
0

How to update to libsdformat2-dev?

asked 2014-11-08 14:18:23 -0600

green96 gravatar image

updated 2014-11-08 14:19:05 -0600

Hi, I would like to update SDFormat, how to do this?

sudo apt-get install libsdformat2-dev

don't work. My question is connected with this problem.

edit retag flag offensive close merge delete

Comments

have you tried installing it from source?

AndreiHaidu gravatar imageAndreiHaidu ( 2014-11-10 06:49:09 -0600 )edit

1 Answer

Sort by ยป oldest newest most voted
0

answered 2014-11-11 03:51:45 -0600

Jose Luis Rivero gravatar image

The main point is: which version of gazebo are you using?

If you are not using ROS at all, you could install gazebo3, gazebo4 and it will bring sdformat2 for you. If you are using ROS, please read about how to install newer versions of Gazebo for ROS.

gazebo2 package is built on top of sdformat1 and you should keep ABI/API at this same level (1.x).

edit flag offensive delete link more

Comments

So if I must stay with Gazebo 2.2 = I can't update libsdformat and I will still get this errors? http://answers.gazebosim.org/question/7391/problem-with-sdf-and-bottom-camera/

green96 gravatar imagegreen96 ( 2014-11-12 15:18:08 -0600 )edit
Login/Signup to Answer

Question Tools

Stats

Asked: 2014-11-08 14:18:23 -0600

Seen: 802 times

Last updated: Nov 11 '14